Stage session revert
Stage or move a reversible session boundary and optionally apply its file changes.
POST
/api/session/{sessionID}/revert/stagePath parameters
sessionIDobjectrequiredRequest body
requiredapplication/jsonmessageIDobjectrequiredShow propertiesHide properties
objectfilesboolean | anyShow propertiesHide properties
Any of:
boolean
booleanany
anyResponses
200Success
dataSession.RevertrequiredShow propertiesHide properties
messageIDobjectrequiredShow propertiesHide properties
objectpartIDstringsnapshotstringfilesFileDiff.Info[]Show propertiesHide properties
Array of
FileDiff.InfofilestringrequiredpatchstringrequiredadditionsobjectrequiredShow propertiesHide properties
objectdeletionsobjectrequiredShow propertiesHide properties
objectstatusstringrequiredAllowed:
addeddeletedmodified400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404MessageNotFoundError | SessionNotFoundError
Any of:
MessageNotFoundError
_tagstringrequiredAllowed:
MessageNotFoundErrorsessionIDstringrequiredmessageIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequired409SessionBusyError
_tagstringrequiredAllowed:
SessionBusyErrorsessionIDstringrequiredmessagestringrequired500UnknownError
_tagstringrequiredAllowed:
UnknownErrormessagestringrequiredrefstring | anyShow propertiesHide properties
Any of:
string
stringany
anyRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/revert/stage" \
-H "Content-Type: application/json" \
-d '{
"messageID": {},
"files": true
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/revert/stage", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"messageID": {},
"files": true
})
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/revert/stage",
headers={
"Content-Type": "application/json"
},
json={
"messageID": {},
"files": True
},
)Response
{
"data": {
"messageID": {},
"partID": "string",
"snapshot": "string",
"files": [
{
"file": "string",
"patch": "string",
"additions": {},
"deletions": {},
"status": "added"
}
]
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "MessageNotFoundError",
"sessionID": "string",
"messageID": "string",
"message": "string"
}{
"_tag": "SessionBusyError",
"sessionID": "string",
"message": "string"
}{
"_tag": "UnknownError",
"message": "string",
"ref": "string"
}